Bug 1922992 - some button text on YAML sidebar are not translated
Summary: some button text on YAML sidebar are not translated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-01 09:14 UTC by Yadan Pei
Modified: 2021-07-27 22:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Not all text was i18ned. Consequence: Bad user experience. Fix: i18ned text. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:37:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
Try it and Download YAML not translated (190.54 KB, image/png)
2021-02-01 09:14 UTC, Yadan Pei
no flags Details
View details internationalized (182.11 KB, image/png)
2021-02-18 04:02 UTC, Yadan Pei
no flags Details
Try it and Download YAML are internationalized (45.37 KB, image/png)
2021-02-18 04:03 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8027 0 None closed Bug 1922992: i18n missing items in YAML sidebar 2021-02-15 14:50:57 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:38:06 UTC

Description Yadan Pei 2021-02-01 09:14:15 UTC
Created attachment 1752788 [details]
Try it and Download YAML not translated

Description of problem:
some button text on YAML sidebar are not translated, such as 'View details', 'Try' and 'Download YAML' 

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-31-031653

How reproducible:
Always

Steps to Reproduce:
1. visit console and add ?pseudolocalization=true&lng=en param
2. view resource YAML and open sidebar


Actual results:
2. 'View details' button in Schema, 'Try' and 'Download YAML' button in Samples are not internationalized 

Expected results:
2. the three button should be internationalized

Additional info:

Comment 1 ralpert 2021-02-05 18:52:53 UTC
PR won't get through QE before code freeze.

Comment 3 Yadan Pei 2021-02-18 04:02:33 UTC
follow the same steps in https://bugzilla.redhat.com/show_bug.cgi?id=1922992#c0, now View details' button in Schema, 'Try' and 'Download YAML' button in Samples are all internationalized

Verified on  4.8.0-0.nightly-2021-02-18-001523

Comment 4 Yadan Pei 2021-02-18 04:02:59 UTC
Created attachment 1757692 [details]
View details internationalized

Comment 5 Yadan Pei 2021-02-18 04:03:28 UTC
Created attachment 1757693 [details]
Try it and Download YAML are internationalized

Comment 8 errata-xmlrpc 2021-07-27 22:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.